System Requirements

System Requirements For Adaptive Metadata Manager v8.x (Current Release)

For most application components, Adaptive supports only those versions currently supported by their developer/vendor. In some cases Adaptive may not support certain versions for technical reasons.

Database Server

Adaptive utilizes Oracle® via a thin JDBC connection and as such there are no specific system requirements for the server it runs on, beyond those that the database requires.

  • Oracle® 11g Release 2 (11.2)
  • Oracle® 11g Express Edition (XE)
  • Oracle® 12c Release 1 (12.1)

Web Application Server

Applications are written entirely in Java™ and utilize the services of JSP 2.2 and Servlet 3.0 compliant Web Application Servers.  We have no specific hardware requirements other than those of the Web Application Server software itself. All web application server components including Java runtime, Java application server and operating system must be 64 bit versions.

Java Runtime:

  • JRE 8 or later

Application Server:

  • Apache Tomcat 7.0.55 or later, 8.0 or 8.5
  • IBM WebSphere Application Server 8.5.5

Operating System:

  • Windows® Server 2008 R2
  • Windows® Server 2012
  • Windows® Server 2012 R2
  • Windows® Server 2016
  • RedHat Linux 5 or later, and other Linux distributions based on the 2.6 kernel

Client

Browser:

  • Microsoft Internet Explorer 9, 10 or 11
  • Microsoft Edge
  • Google Chrome 53 or later
  • Safari 10
  • Firefox 45.4 and 49 or later

Designer:

  • Windows 7/Windoes 8.1/Windows 10 (32 or 64 bit)
  • Visio 2007 or later required for Navigation Maps and Process Manager Components

Adaptive Microsoft® Excel Integration:

  • Microsoft Excel 2007 or later